#!/usr/bin/python
from albatross import SimpleSessionApp
from albatross.cgiapp import Request

class ListPage:
    def page_display(self, ctx):
        ctx.locals.data = range(100)
        ctx.run_template('paginate.html')

if __name__ == '__main__':
    app = SimpleSessionApp('paginate.py', '.', 'start', 'paginate',
                           '-=-secret-=-')
    app.register_page('start', ListPage())
    app.run(Request())
